/**
 * Created by IntelliJ IDEA.
 * User: o_207
 * Date: 30.09.2009
 * Time: 19:19:09
 * To change this template use File | Settings | File Templates.
 */
import java.io.*;
import java.util.*;
public class second {
    public static void main(String[]args) throws Exception
    {

    Scanner in=new Scanner(new File("quotient.in"));

       PrintWriter out=new PrintWriter(new File("quotient.out"));
       float a=in.nextInt();
        float b=in.nextInt();
           if (b!=0)
        out.println(a/b);
        else out.println("Na nol' delit' nel'zya!!!");
         out.close();
        in.close();
    }
}
